Bug 220289 - dns/powerdns-recursor: Update to latest version (v4.0.5)
Summary: dns/powerdns-recursor: Update to latest version (v4.0.5)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Richard Gallamore
URL: https://doc.powerdns.com/md/changelog...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-26 15:26 UTC by Dani
Modified: 2017-07-04 17:48 UTC (History)
2 users (show)

See Also:
tremere: maintainer-feedback+


Attachments
Update powerdns-recursor to v4.0.5 (2.96 KB, patch)
2017-06-26 15:26 UTC, Dani
no flags Details | Diff
Update to 4.0.5 (4.79 KB, patch)
2017-06-26 23:45 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
powerdns-recursor.diff (6.28 KB, patch)
2017-06-30 21:42 UTC, Richard Gallamore
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dani 2017-06-26 15:26:42 UTC
Created attachment 183813 [details]
Update powerdns-recursor to v4.0.5

dns/powerdns: update 4.0.4 -> 4.0.5
- Remove patch-ext_json11_json11.cpp -> fixed upstream for dns/powerdns-recursor (not yet fixed for dns/powerdns) [1]
- Add patch to fix broken "configure" on FreeBSD until next release, patch requires "USES=autoreconf libtool" [2]

[1] https://github.com/PowerDNS/pdns/commit/92901dfcfb037a469784242f28688decd3ab3d65#diff-fa776206953b780810a6158f0297af1b
[2] https://github.com/PowerDNS/pdns/issues/5401

Changes: https://doc.powerdns.com/md/changelog/#powerdns-recursor-405

Successfully built and tested on FBSD10.3.
Comment 1 Ralf van der Enden 2017-06-26 23:45:01 UTC
Created attachment 183824 [details]
Update to 4.0.5

My diff includes a patch against configure (received from upstream), which doesn't require the autotools.
Comment 2 Dani 2017-06-27 06:07:39 UTC
(In reply to Ralf van der Enden from comment #1)
Yeah i tought about patching the configure file too and had a talk with Habbie. The only reason why i took the autotools variant was: No large, a bit unclear patch and: "[17:09] <Habbie> yours has the benefit of not breaking future releases if you accidentally leave the workaround in"

But for me both variants are fine, your choice here :) Thanks anyway!
Comment 4 Richard Gallamore freebsd_committer 2017-06-30 21:42:31 UTC
Created attachment 183966 [details]
powerdns-recursor.diff

While checking looking at the port, I found some items out of order. I corrected the ordering and also remade the patch-configure as it was complaining it was not generated by make makepatch.

Portlint will complain about lib_depend and build_depend appearing earlier. This is a false positive. BROKEN_* comes before the depend block.

Please review the changes and if everything looks good, give maintainer approval.
Comment 5 commit-hook freebsd_committer 2017-07-04 17:47:21 UTC
A commit references this bug:

Author: ultima
Date: Tue Jul  4 17:47:13 UTC 2017
New revision: 445029
URL: https://svnweb.freebsd.org/changeset/ports/445029

Log:
  * Updated to 4.0.5

  Changelog:	https://doc.powerdns.com/md/changelog/#powerdns-recursor-405

  PR:		220289
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)
  Reviewed by:	matthew (mentor), matt
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11472

Changes:
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor/distinfo
  head/dns/powerdns-recursor/files/patch-configure
  head/dns/powerdns-recursor/files/patch-ext_json11_json11.cpp
Comment 6 Richard Gallamore freebsd_committer 2017-07-04 17:48:44 UTC
Committed, thanks!